<?php

namespace App\Http\Controllers\admin_panel;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Auth;
use App\Region; 
use App\Admin; 
use DB; 

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //

        $users = DB::table('admins')
        ->leftjoin('agences', 'admins.agence_id', '=', 'agences.id')
        ->select('admins.*', 'agences.*')
        ->get(); 

    
        $regions = Region::all(); 

        return view('admin_panel.users.index')->with('users', $users)->with('regions', $regions);
    }
 
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $regions = Region::all(); 

        return view('admin_panel.users.create', compact('regions')); 
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //

       
        
        $this->validate($request, [
            'Name' => 'required',
            'telephone' => 'required', 
            'type' => 'required', 
            'password' => 'required'
        ]); 
        
        $user = new Admin();
        $user->name = $request->Name; 
        $user->email = $request->email; 
        $user->telephone = $request->telephone; 
        $user->type = $request->type; 
        $user->password = Hash::make($request->password); 
        $user->agence_id = 0; 
       
        if($request->type == 2)
        {
            $this->validate($request, [
                'category' => 'required',
                'subcategory' => 'required'
            ]);

            $user->agence_id = $request->subcategory; 
        }
        $user->save(); 

        return redirect()->route('admin.user'); 
    
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
