@extends('admin_panel.adminLayout') @section('content')

<div class="content-wrapper">
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">Liste des commandes</h4>
                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>
                                        Client
                                    </th>
                                    <th>
                                        Téléphone
                                    </th>
                                    <th>
                                        Adresse
                                    </th>
                                    <th>
                                        Produit
                                    </th>
                                    <th>
                                        Quantité
                                    </th>
                                
                                    <th>
                                        Date
                                    </th>

                                    <th>
                                        Signature
                                    </th>
                                    <th>
                                        Status
                                    </th>
                                    <th>
                                        Action
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($sales as $s)
                                    <tr>
                                        <td>{{$s->nom}}</td>
                                        <td>{{ $s->telephone }}</td> 
                                        <td>
                                            {{$s->adresse}}
                                        </td>
                                        <td>
                                            @foreach($produits as $p)
                                                @if((explode(':', $s->product_id))[0] == $p->id)
                                                    {{ $p->name }}
                                                @endif 
                                            @endforeach 
                                        </td>
                                        <td>
                                            @foreach($produits as $p)
                                                @if((explode(':', $s->product_id))[0] == $p->id)
                                                    {{ (explode(':', $s->product_id))[1] }}
                                                @endif 
                                            @endforeach 
                                        </td>
                                      
                                        
                                        <td>
                                            {{$s->created_at}}
                                        </td>
                                        
                                        <td>
                                            <img src="{{ asset('upload/'.$s->signature) }}" style="height: 5em; width: 15em; border-radius: 0px;"/>
                                        </td>
                                        <td>
                                            {{ $s->order_status }}
                                        </td>
                                        <td>
                                            <form method="post" style="display:inline-block">
                                                {{csrf_field()}}
                                                <input type="hidden" value="{{$s->id}}" name="orderId">
                                                <select name="stat">
                                                    @foreach($status as $x)
                                                        @if($s->order_status!=$x)
                                                            <option value="{{$x}}">{{$x}}</option>
                                                        @endif

                                                    @endforeach
                                                </select>
                                                <input type="submit" class="btn btn-sm btn-warning" value="Modifier">
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
