<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
//Dashboard
//login
Route::get('admin', 'loginController@adminIndex')->name('admin.login');
Route::post('admin', 'loginController@adminPosted')->name('admin.posted');

Route::group(['middleware' => 'admin'], function(){

    Route::get("/admin_panel", 'admin_panel\dashboardController@index')->name('admin.dashboard');

    Route::get('admin/logout', 'loginController@adminLogout')->name('admin.logout');

        //categories
    Route::get('/admin_panel/categories', 'admin_panel\categoriesController@index')->name('admin.categories');
    Route::post('/admin_panel/categories', 'admin_panel\categoriesController@posted');

    Route::get('/admin_panel/categories/edit/{id}', 'admin_panel\categoriesController@edit')->name('admin.categories.edit');
    Route::post('/admin_panel/categories/edit/{id}', 'admin_panel\categoriesController@update');

    Route::get('/admin_panel/categories/delete/{id}', 'admin_panel\categoriesController@delete')->name('admin.categories.delete');
    Route::post('/admin_panel/categories/delete/{id}', 'admin_panel\categoriesController@destroy');


        //products
    Route::get('/admin_panel/products', 'admin_panel\productsController@index')->name('admin.products');

    Route::get('/admin_panel/products/create', 'admin_panel\productsController@create')->name('admin.products.create');
    Route::post('/admin_panel/products/create', 'admin_panel\productsController@store');

    Route::get('/admin_panel/products/edit/{id}', 'admin_panel\productsController@edit')->name('admin.products.edit');
    Route::post('/admin_panel/products/edit/{id}', 'admin_panel\productsController@update');

    Route::get('/admin_panel/products/delete/{id}', 'admin_panel\productsController@delete')->name('admin.products.delete');
    Route::post('/admin_panel/products/delete/{id}', 'admin_panel\productsController@destroy');

        //Regions
    Route::get('/admin_panel/Regions', 'admin_panel\RegionController@index')->name('admin.region');

    Route::get('/admin_panel/Regions/create', 'admin_panel\RegionController@create')->name('admin.region.create');
    Route::post('/admin_panel/Regions/create', 'admin_panel\RegionController@store');

    Route::get('/admin_panel/Regions/edit/{id}', 'admin_panel\RegionController@edit')->name('admin.region.edit');
    Route::post('/admin_panel/Regions/edit/{id}', 'admin_panel\RegionController@update');

    Route::get('/admin_panel/Regions/delete/{id}', 'admin_panel\RegionController@delete')->name('admin.region.delete');
    Route::post('/admin_panel/Regions/delete/{id}', 'admin_panel\RegionController@destroy');

        //Agences
    Route::get('/admin_panel/agences', 'admin_panel\AgenceController@index')->name('admin.agence');

    Route::get('/admin_panel/agences/create', 'admin_panel\AgenceController@create')->name('admin.agence.create');
    Route::post('/admin_panel/agences/create', 'admin_panel\AgenceController@store');

    Route::get('/admin_panel/agences/edit/{id}', 'admin_panel\AgenceController@edit')->name('admin.agence.edit');
    Route::post('/admin_panel/agences/edit/{id}', 'admin_panel\AgenceController@update');

    Route::get('/admin_panel/agences/delete/{id}', 'admin_panel\AgenceController@delete')->name('admin.agence.delete');
    Route::post('/admin_panel/agences/delete/{id}', 'admin_panel\AgenceController@destroy');
    
    //order management
    Route::get('/admin_panel/management', 'admin_panel\managementController@manage')->name('admin.orderManagement');
    Route::post('/admin_panel/management', 'admin_panel\managementController@update')->name('admin.orderUpdate');

    Route::get('/admin_panel/client', 'admin_panel\ClientController@index')->name('admin.client');
    
    Route::get('/admin_panel/user', 'admin_panel\UserController@index')->name('admin.user');
    Route::get('/admin_panel/user/create', 'admin_panel\UserController@create')->name('admin.user.create');
    Route::post('/admin_panel/user/store', 'admin_panel\UserController@store')->name('admin.user.store');
});

Route::get('/login', 'loginController@userIndex')->name('user.login');
Route::post('/login', 'loginController@userPosted');
 
    //signup
Route::get('/signup', 'signupController@userIndex')->name('user.signup');
Route::post('/signup', 'signupController@userPosted');
Route::post('/check_email', 'signupController@emailCheck')->name('user.signup.check_email');


    //user
Route::get('/', 'user\userController@index')->name('user.home');

Route::get('/product/{id}', 'user\userController@view')->name('user.product');
Route::post('/product/{id}', 'user\userController@post');


Route::get('/search', 'user\userController@search')->name('user.search');
Route::get('/search?c={id}', 'user\userController@view')->name('user.search.cat');

Route::get('/view/{id}', 'user\userController@view')->name('user.view');
Route::post('/view/{id}', 'user\userController@post');

Route::get('/cart', 'user\userController@cart')->name('user.cart');
Route::post('/cart', 'user\userController@confirm');

Route::post('/region_agence', 'user\userController@regionAgence')->name('user.region.agence');

Route::post('/edit_cart', 'user\userController@editCart')->name('user.editCart');
Route::post('/delete_item_from_cart', 'user\userController@deleteCartItem')->name('user.deleteCartItem');


Route::get('/logout', 'loginController@userLogout')->name('user.logout');

Route::group(['middleware' => 'user'], function(){
    Route::get('/history', 'user\userController@history')->name('user.history');
});

//Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
