<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Star Admin Dashboard</title>
    <!-- plugins:css -->
    <link rel="stylesheet" href="<?php echo e(asset('vendors/iconfonts/mdi/css/materialdesignicons.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('vendors/css/vendor.bundle.base.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('vendors/css/vendor.bundle.addons.css')); ?>">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.0/jquery-confirm.min.css">
    <!-- endinject -->
    <!-- plugin css for this page -->
    <!-- End plugin css for this page -->
    <!-- inject:css -->
    <link rel="stylesheet" href="<?php echo e(asset('css/style.css')); ?>">
    <!-- endinject -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <link rel="shortcut icon" href="<?php echo e(asset('favicon.png')); ?>" />
</head>

<body>
    <div class="container-scroller">
        <!-- partial:partials/_navbar.html -->
        <nav class="navbar default-layout col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
            <div class="text-center navbar-brand-wrapper d-flex align-items-top justify-content-center">
                <a class="navbar-brand brand-logo" href="<?php echo e(route('admin.dashboard')); ?>">
                    <div style="color: #007bff;">E.M.C</div>
                </a>
                <a class="navbar-brand brand-logo-mini" href="<?php echo e(route('admin.dashboard')); ?>">
                    <div style="color: #007bff;">Electro</div>
                </a>
            </div>
            <div class="navbar-menu-wrapper d-flex align-items-center">
                <ul class="navbar-nav navbar-nav-right">
                    <li class="nav-item dropdown d-none d-xl-inline-block">
                        <a class="nav-link dropdown-toggle" id="UserDropdown" href="#" data-toggle="dropdown" aria-expanded="false">
                            <span class="profile-text"><?php echo e(session()->get('admin')->name); ?></span>
                            <img class="img-xs rounded-circle" src="<?php echo e(asset('images/faces/face1.jpg')); ?>" alt="Profile image">
                        </a>
                        <div class="dropdown-menu dropdown-menu-right navbar-dropdown" aria-labelledby="UserDropdown">
                            <br>
                            <br>
                            <a class="dropdown-item" href="<?php echo e(route('admin.logout')); ?>">
                                Sign Out
                            </a>
                        </div>
                    </li>
                </ul>
                <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
                    <span class="mdi mdi-menu"></span>
                </button>
            </div>
        </nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:partials/_sidebar.html -->
            <nav class="sidebar sidebar-offcanvas" id="sidebar">
                <ul class="nav">
                    <li class="nav-item nav-profile">
                        <div class="nav-link">
                            <div class="user-wrapper">
                                <div class="profile-image">
                                    <img src="<?php echo e(asset('images/faces/face1.jpg')); ?>" alt="profile image">
                                </div>
                                <div class="text-wrapper">
                                    <p class="profile-name"><?php echo e(session()->get('admin')->name); ?></p>
                                    <div>
                                        <small class="designation text-muted">Admin</small>
                                        <span class="status-indicator online"></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="nav-item <?php echo e(Route::is('admin.dashboard') ? 'active' : ''); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.dashboard')); ?>">
                            <i class="menu-icon mdi mdi-television"></i>
                            <span class="menu-title">Tableau de bord</span>
                        </a>
                    </li>
                    <li class="nav-item <?php echo e(Route::is('admin.products') ? 'active' : ''); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.products')); ?>">
                            <i class="menu-icon mdi mdi-cart-outline"></i>
                            <span class="menu-title">Produits</span>
                        </a>
                    </li>
                    <li class="nav-item <?php echo e(Route::is('admin.categories') ? 'active' : ''); ?>">
                        <a class="nav-link" href="<?php echo e(route('admin.categories')); ?>">
                            <i class="menu-icon mdi mdi-view-grid"></i>
                            <span class="menu-title">Categories</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('admin.client')); ?>">
                            <i class="menu-icon mdi mdi-content-paste"></i>
                            <span class="menu-title">Clients</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('admin.orderManagement')); ?>">
                            <i class="menu-icon mdi mdi-content-paste"></i>
                            <span class="menu-title">Commandes</span>
                        </a>
                    </li>
                      <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('admin.region')); ?>">
                            <i class="menu-icon mdi mdi-map"></i>
                            <span class="menu-title">Régions</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('admin.agence')); ?>">
                            <i class="menu-icon mdi mdi-bank"></i>
                            <span class="menu-title">Agences</span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('admin.user')); ?>">
                            <i class="menu-icon mdi mdi-account"></i>
                            <span class="menu-title">Utilisateurs</span>
                        </a>
                    </li>
                </ul>
            </nav>
            <!-- partial -->
            <div class="main-panel">
                <?php echo $__env->yieldContent('content'); ?>
                <!-- content-wrapper ends -->
                <!-- partial:partials/_footer.html -->
                <footer class="footer">

                </footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->

    <!-- plugins:js -->
    <script src="<?php echo e(asset('vendors/js/vendor.bundle.base.js')); ?>"></script>
    <script src="<?php echo e(asset('vendors/js/vendor.bundle.addons.js')); ?>"></script>
    <!-- endinject -->
    <!-- Plugin js for this page-->
    <!-- End plugin js for this page-->
    <!-- inject:js -->
    <script src="<?php echo e(asset('js/off-canvas.js')); ?>"></script>
    <script src="<?php echo e(asset('js/misc.js')); ?>"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.0/jquery-confirm.min.js"></script>
    <!-- endinject -->
    <!-- Custom js for this page-->

    <script src="<?php echo e(asset('js/dashboard.js')); ?>"></script>
    <script src="<?php echo e(asset('js/chart.js')); ?>"></script>

    <!--    Jquery Validation-->
    <script src="<?php echo e(asset('js/lib/jquery.js')); ?>"></script>
    <script src="<?php echo e(asset('js/dist/jquery.validate.js')); ?>"></script>
    <!-- End custom js for this page-->
</body>

</html>
